package com.abi.qms.platform.service;


import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.GetRoleInfoRes;
import com.abi.qms.platform.dto.res.ListResourceRes;
import com.abi.qms.platform.dto.res.ListRoleRes;

/**
 * <p>
 * 角色管理
 * </p>
 *
 * @author Andy.Tan
 */
public interface RoleManagerService{

    void createRole(CreateRoleReq createRoleReq) throws Exception;

    void updateRole(UpdateRoleReq updateRoleReq) throws Exception;

    GetRoleInfoRes getRoleInfo(GetRoleInfoReq getRoleInfoReq) throws Exception;

    ListRoleRes listRole(ListRoleReq listRoleReq) throws Exception;

    ListResourceRes listResource(ListResourceReq listResourceReq) throws Exception;


}
