package com.abi.qms.platform.service;


import com.abi.qms.platform.dto.req.CreateUserReq;
import com.abi.qms.platform.dto.req.GetUserInfoReq;
import com.abi.qms.platform.dto.req.ListUserReq;
import com.abi.qms.platform.dto.req.UpdateUserReq;
import com.abi.qms.platform.dto.res.GetUserInfoRes;
import com.abi.qms.platform.dto.res.ListUserRes;

/**
 * <p>
 * 用户管理
 * </p>
 *
 * @author Andy.Tan
 */
public interface UserManagerService{

    void createUser(CreateUserReq createUserReq) throws Exception;

    void updateUser(UpdateUserReq updateUserReq) throws Exception;

    GetUserInfoRes getUserInfo(GetUserInfoReq getUserInfoReq) throws Exception;

    ListUserRes listUser(ListUserReq listUserReq) throws Exception;


}
